Bug 1178332 - zypper: symbol lookup error: /usr/lib64/libzypp.so.1722: undefined symbol: _ZN4YAML6detail9node_data12empty_scalarB5cxx11E
zypper: symbol lookup error: /usr/lib64/libzypp.so.1722: undefined symbol: _Z...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: libzypp
Leap 15.2
Other Other
: P2 - High : Major with 5 votes (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-01 20:14 UTC by Nick Dordea
Modified: 2022-08-03 13:17 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
ma: needinfo? (sbrabec)


Attachments
yast2 fails due to some ruby issues (76.71 KB, text/plain)
2020-11-01 20:43 UTC, Nick Dordea
Details
sudo journalctl -a contents (8.91 MB, text/plain)
2020-11-01 20:57 UTC, Nick Dordea
Details
/var/log/zypp.history file (5.27 MB, text/plain)
2020-11-02 14:37 UTC, Nick Dordea
Details
/var/log/zypper.log file (2.06 MB, text/plain)
2020-11-02 14:39 UTC, Nick Dordea
Details
/var/log/YasST2/y2log file (9.79 MB, text/plain)
2020-11-02 14:41 UTC, Nick Dordea
Details
rpm -U -vv --test --oldpackage libzypp output (35.94 KB, text/plain)
2020-11-02 16:30 UTC, Nick Dordea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Dordea 2020-11-01 20:14:37 UTC
Hello, 
Any attempt to use zypper fails/crashes !
I haven't used zypper since the last maintenance ; 
It seems that the last maintenance is the culprit .
Is it any way to go back to the previous version ???
Thanks,

ND


zypper/libzypp levels [ via rpm -q ]
====================================
zypper-1.14.40-lp152.2.9.1.x86_64
libzypp-17.25.1-lp152.2.13.1.x86_64

rpm -q --changelog  libzypp
===========================
  Fri Sep 25 2020 ma@suse.de
- Fix bsc#1176902: When kernel-rt has been installed, the
  purge-kernels service fails during boot.
- Use package name provides as group key in purge-kernel
  (bsc#1176740 bsc#1176192)
  kernel-default-base has new packaging, where the kernel uname -r
  does not reflect the full package version anymore. This patch
  adds additional logic to use the most generic/shortest edition
  each package provides with %{packagename}=<version> to group the
  kernel packages instead of the rpm versions.
  This also changes how the keep-spec for specific versions is
  applied, instead of matching the package versions, each of the
  package name provides will be matched.
- version 17.25.1 (22)

* Fri Sep 18 2020 ma@suse.de
- RepoInfo: Return the type of the local metadata cache as
  fallback (bsc#1176435)
- VendorAttr: Fix broken "suse,opensuse" equivalence handling.
  Enhance API and testcases. (bsc#1174918)
- Update docs regarding 'opensuse' namepace matching.
- New solver testcase format.
- Link against libzsd to close libsolvs open references
  (as we link statically)
- BuildRequires:  libsolv-devel >= 0.7.15.

rpm -q --changelog  zypper
=============================
* Fri Sep 25 2020 ma@suse.de
- info: Assume descriptions starting with '<p>' are richtext
  (bsc#935885)
- version 1.14.40

* Fri Sep 18 2020 ma@suse.de
- Use new testcase API in libzypp.
- BuildRequires:  libzypp-devel >= 17.25.0.
- help: prevent 'whatis' from writing to stderr (bsc#1176712)
- wp: point out that command is aliased to a search command and
  searches case-insensitive (jsc#SLE-16271)
- version 1.14.39

* Fri Aug 28 2020 ma@suse.de
- Directly list subcommands in 'zypper help' (bsc#1165424)
- man: enhance description of the global package cache (bsc#1175592)
- Remove extern C block wrapping augeas.h as it breaks the build
  on Arch Linux.
- Point out that plaindir repos do not follow symlinks (bsc#1174561)
- Fix help command for list-patches
- man: Point out that plain rpm packages are not downloaded to the
  global package cache (bsc#1173273)
- version 1.14.38

rpm -q -i libzypp zypper
===========================
Name        : libzypp
Version     : 17.25.1
Release     : lp152.2.13.1
Architecture: x86_64
Install Date: Sun Nov  1 07:55:16 2020
Group       : System/Packages
Size        : 8709126
License     : GPL-2.0-or-later
Signature   : RSA/SHA256, Wed Oct 28 07:55:51 2020, Key ID b88b2fd43dbdc284
Source RPM  : libzypp-17.25.1-lp152.2.13.1.src.rpm
Build Date  : Wed Oct 28 07:53:44 2020
Build Host  : cloud138
Relocations : (not relocatable)
Packager    : http://bugs.opensuse.org
Vendor      : openSUSE
URL         : https://github.com/openSUSE/libzypp
Summary     : Library for package, patch, pattern and product management
Description :
libzypp is the package management library that powers applications
like YaST, zypper and the openSUSE/SLE implementation of PackageKit.

libzypp provides functionality for a package manager:

  * An API for package repository management, supporting most common
    repository metadata formats and signed repositories.
  * An API for solving packages, products, patterns and patches
    (installation, removal, update and distribution upgrade
    operations) dependencies, with additional features like locking.
  * An API for commiting the transaction to the system over a rpm
    target. Supporting deltarpm calculation, media changing and
    installation order calculation.
  * An API for browsing available and installed software, with some
    facilities for programs with an user interface.
Distribution: openSUSE Leap 15.2
Name        : zypper
Version     : 1.14.40
Release     : lp152.2.9.1
Architecture: x86_64
Install Date: Sun Nov  1 07:55:19 2020
Group       : System/Packages
Size        : 7910437
License     : GPL-2.0-or-later
Signature   : RSA/SHA256, Wed Oct 28 08:02:17 2020, Key ID b88b2fd43dbdc284
Source RPM  : zypper-1.14.40-lp152.2.9.1.src.rpm
Build Date  : Wed Oct 28 08:01:17 2020
Build Host  : cloud138
Relocations : (not relocatable)
Packager    : http://bugs.opensuse.org
Vendor      : openSUSE
URL         : https://github.com/openSUSE/zypper
Summary     : Command line software manager using libzypp
Description :
Zypper is a command line tool for managing software. It can be used to add
package repositories, search for packages, install, remove, or update packages,
install patches, hardware drivers, verify dependencies, and more.

Zypper can be used interactively or non-interactively by user, from scripts,
or front-ends.

Authors:
--------
    Jan Kupec <jkupec@suse.cz>
    Michael Andres <ma@suse.de>
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Martin Vidner <mvidner@suse.cz>
    Josef Reidinger <jreidinger@suse.cz>
Distribution: openSUSE Leap 15.2

rpm -q --scripts libzypp zypper
==================================
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
if [ -f /var/cache/zypp/zypp.db ]; then rm /var/cache/zypp/zypp.db; fi

# convert old lock file to new
# TODO make this a separate file?
# TODO run the sript only when updating form pre-11.0 libzypp versions
LOCKSFILE=/etc/zypp/locks
OLDLOCKSFILE=/etc/zypp/locks.old

is_old(){
  # if no such file, exit with false (1 in bash)
  test -f ${LOCKSFILE} || return 1
  TEMP_FILE=`mktemp`
  cat ${LOCKSFILE} | sed '/^\#.*/ d;/.*:.*/d;/^[^[a-zA-Z\*?.0-9]*$/d' > ${TEMP_FILE}
  if [ -s ${TEMP_FILE} ]
  then
    RES=0
  else
    RES=1
  fi
  rm -f ${TEMP_FILE}
  return ${RES}
}

append_new_lock(){
  case "$#" in
    1 )
  echo "
solvable_name: $1
match_type: glob
" >> ${LOCKSFILE}
;;
    2 ) #TODO version
  echo "
solvable_name: $1
match_type: glob
version: $2
" >> ${LOCKSFILE}
;;
    3 ) #TODO version
  echo "
solvable_name: $1
match_type: glob
version: $2 $3
" >> ${LOCKSFILE}
  ;;
esac
}

die() {
  echo $1
  exit 1
}

if is_old ${LOCKSFILE}
  then
  mv -f ${LOCKSFILE} ${OLDLOCKSFILE} || die "cannot backup old locks"
  cat ${OLDLOCKSFILE}| sed "/^\#.*/d"| while read line
  do
    append_new_lock $line
  done
fi
postuninstall program: /sbin/ldconfig
Comment 1 Nick Dordea 2020-11-01 20:43:45 UTC
Created attachment 843202 [details]
yast2  fails due to some ruby issues
Comment 2 Nick Dordea 2020-11-01 20:57:28 UTC
Created attachment 843203 [details]
sudo journalctl -a contents
Comment 3 Nick Dordea 2020-11-01 21:16:35 UTC
Hello, 
What about downgrading lybzypp and zypper ?
I downloaded 
libsolv-tools-0.7.14-lp152.2.7.1.x86_64.rpm
libzypp-17.24.2-lp152.2.10.1.x86_64.rpm
zypper-1.14.38-lp152.2.6.1.x86_64.rpm
from upgrade repo . 
I tried a test of installing them [ see below ].  But it complains and I do not know if this is OK .
Please let me know if this a good solution and if the messages are legit ...

Thanks ,
ND

===================================================
 rpm -i --test libzypp-17.24.2-lp152.2.10.1.x86_64.rpm zypper-1.14.38-lp152.2.6.1.x86_64.rpm libsolv-tools-0.7.14-lp152.2.7.1.x86_64.rpm 
        package libsolv-tools-0.7.15-lp152.2.10.1.x86_64 (which is newer than libsolv-tools-0.7.14-lp152.2.7.1.x86_64) is already installed
        file /usr/bin/appdata2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/comps2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/deltainfoxml2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/dumpsolv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/installcheck from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/mergesolv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/repo2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/repomdxml2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/rpmdb2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/rpmmd2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/rpms2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/susetags2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/testsolv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/updateinfoxml2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        package libzypp-17.25.1-lp152.2.13.1.x86_64 (which is newer than libzypp-17.24.2-lp152.2.10.1.x86_64) is already installed
        file /etc/zypp/zypp.conf from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/bin/zypp-CheckAccessDeleted from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/bin/zypp-NameReqPrv from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/lib64/libzypp.so.1722 from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/ca/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/cs/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/id/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/it/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/ja/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/nb/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/nl/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/pt_BR/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/sk/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/man/man1/zypp-CheckAccessDeleted.1.gz from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/man/man1/zypp-NameReqPrv.1.gz from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/man/man5/locks.5.gz from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        package zypper-1.14.40-lp152.2.9.1.x86_64 (which is newer than zypper-1.14.38-lp152.2.6.1.x86_64) is already installed
        file /usr/bin/zypper from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/sbin/zypp-refresh from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/ca/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/cs/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/de/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/id/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/ja/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/nl/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/pt_BR/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/sk/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/man/man8/zypp-refresh.8.gz from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/man/man8/zypper.8.gz from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
root@suse4Rocco<[==> /data/ext4/EXT4_downloads ]> rpm -i --test --oldpackage libzypp-17.24.2-lp152.2.10.1.x86_64.rpm zypper-1.14.38-lp152.2.6.1.x86_64.rpm libsolv-tools-0.7.14-lp152.2.7.1.x86_64.rpm 
        file /usr/bin/appdata2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/comps2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/deltainfoxml2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/dumpsolv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/installcheck from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/mergesolv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/repo2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/repomdxml2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/rpmdb2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/rpmmd2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/rpms2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/susetags2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/testsolv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /usr/bin/updateinfoxml2solv from install of libsolv-tools-0.7.14-lp152.2.7.1.x86_64 conflicts with file from package libsolv-tools-0.7.15-lp152.2.10.1.x86_64
        file /etc/zypp/zypp.conf from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/bin/zypp-CheckAccessDeleted from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/bin/zypp-NameReqPrv from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/lib64/libzypp.so.1722 from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/ca/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/cs/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/id/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/it/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/ja/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/nb/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/nl/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/pt_BR/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/locale/sk/LC_MESSAGES/zypp.mo from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/man/man1/zypp-CheckAccessDeleted.1.gz from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/man/man1/zypp-NameReqPrv.1.gz from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/share/man/man5/locks.5.gz from install of libzypp-17.24.2-lp152.2.10.1.x86_64 conflicts with file from package libzypp-17.25.1-lp152.2.13.1.x86_64
        file /usr/bin/zypper from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/sbin/zypp-refresh from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/ca/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/cs/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/de/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/id/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/ja/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/nl/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/pt_BR/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/locale/sk/LC_MESSAGES/zypper.mo from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/man/man8/zypp-refresh.8.gz from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
        file /usr/share/man/man8/zypper.8.gz from install of zypper-1.14.38-lp152.2.6.1.x86_64 conflicts with file from package zypper-1.14.40-lp152.2.9.1.x86_64
Comment 4 Nick Dordea 2020-11-02 02:06:12 UTC
A). 
The beginning of journalctl -a output has records with timestamps 
between Nov 01 01:29:47  and Nov 01 01:29:51

Nov 01 01:29:47 suse4Rocco kernel: microcode: microcode updated early to revision 0xd6, date = 2020-04-27
Nov 01 01:29:47 suse4Rocco kernel: Linux version 5.3.18-lp152.47-default (geeko@buildhost) (gcc version 7.5.0 (SUSE Linux)) #1 SMP Thu Oct 15 16:05:25 UT
C 2020 (41f7396)
Nov 01 01:29:47 suse4Rocco kernel: Command line: BOOT_IMAGE=/boot/vmlinuz-5.3.18-lp152.47-default root=UUID=fdf68c9b-3072-4cb7-bd04-b9057f0ea44e resume=/
dev/disk/by-label/swap splash=verbose showopts

The laptop was shutdown on Oct-31 about 22:15 .
Was the saving time change involved ? 

B)
On Nov 01, I started the laptop about 7:30 AM and some maintenance against  zypper / libzypp was done ! [ as per journalctl output ... ]

Nov 01 07:55:13 suse4Rocco.dom [RPM][1537]: erase zypper-log-1.14.38-lp152.2.6.1.noarch: success
Nov 01 07:55:13 suse4Rocco.dom [RPM][1537]: install zypper-log-1.14.40-lp152.2.9.1.noarch: success
Nov 01 07:55:13 suse4Rocco.dom [RPM][1537]: erase zypper-log-1.14.38-lp152.2.6.1.noarch: success
Nov 01 07:55:13 suse4Rocco.dom [RPM][1537]: install zypper-log-1.14.40-lp152.2.9.1.noarch: success
Nov 01 07:55:15 suse4Rocco.dom [RPM][1538]: erase libzypp-17.24.2-lp152.2.10.1.x86_64: success
Nov 01 07:55:18 suse4Rocco.dom [RPM][1538]: install libzypp-17.25.1-lp152.2.13.1.x86_64: success
Nov 01 07:55:18 suse4Rocco.dom [RPM][1538]: erase libzypp-17.24.2-lp152.2.10.1.x86_64: success
Nov 01 07:55:18 suse4Rocco.dom [RPM][1538]: install libzypp-17.25.1-lp152.2.13.1.x86_64: success
Nov 01 07:55:19 suse4Rocco.dom [RPM][1548]: erase zypper-1.14.38-lp152.2.6.1.x86_64: success
Nov 01 07:55:20 suse4Rocco.dom [RPM][1548]: install zypper-1.14.40-lp152.2.9.1.x86_64: success
Nov 01 07:55:20 suse4Rocco.dom [RPM][1548]: erase zypper-1.14.38-lp152.2.6.1.x86_64: success
Nov 01 07:55:20 suse4Rocco.dom [RPM][1548]: install zypper-1.14.40-lp152.2.9.1.x86_64: success
Nov 01 07:55:23 suse4Rocco.dom [RPM][1551]: erase libzypp-devel-17.24.2-lp152.2.10.1.x86_64: success
Nov 01 07:55:23 suse4Rocco.dom [RPM][1551]: install libzypp-devel-17.25.1-lp152.2.13.1.x86_64: success
Nov 01 07:55:23 suse4Rocco.dom [RPM][1551]: erase libzypp-devel-17.24.2-lp152.2.10.1.x86_64: success
Nov 01 07:55:23 suse4Rocco.dom [RPM][1551]: install libzypp-devel-17.25.1-lp152.2.13.1.x86_64: success
Nov 01 07:55:24 suse4Rocco.dom [RPM][1555]: erase zypper-aptitude-1.14.38-lp152.2.6.1.noarch: success
Nov 01 07:55:24 suse4Rocco.dom [RPM][1555]: install zypper-aptitude-1.14.40-lp152.2.9.1.noarch: success
Nov 01 07:55:24 suse4Rocco.dom [RPM][1555]: erase zypper-aptitude-1.14.38-lp152.2.6.1.noarch: success
Nov 01 07:55:24 suse4Rocco.dom [RPM][1555]: install zypper-aptitude-1.14.40-lp152.2.9.1.noarch: success 

What process triggered that maintenance ?
Was it a left over of the maintenance done on October 28 ?

Did the above "maintenance" clobber parts of my laptop's software ?

C)
The properties of /usr/lib64/libzypp.so.1722 are as follows :
-------------------------
link to libzypp.so.1722.3.1
size 19B
Modified : Oct-28-2020 7:46:20 AM CDT
Accessed : Today ( Nov-01) 7:55:17 AM CST 
---------------------

ND
Comment 5 Marcus Meissner 2020-11-02 07:21:08 UTC
your libyaml seems incompatible

rpm -qi libyaml-cpp0_6

?
Comment 6 Michael Andres 2020-11-02 11:41:18 UTC
(In reply to Nick Dordea from comment #3)
> I tried a test of installing them [ see below ].  But it complains and I do
> not know if this is OK .
> ...
> ===================================================
>  rpm -i --test libzypp-17.24.2-lp152.2.10.1.x86_64.rpm

Never install package with '-i'! 
Always use 'rpm -U'!

'rpm -U' behaves as you expect it. It installs the package and auto-removes the previously installed version(s).

'rpm -i' just installs the package, leaving previously installed versions on disk. That's why you get the '...conflicts with file from package...' error messages. The new and the old package are overwriting each others files, so installing one damages the other. 

If 'rpm -q PACKAGE' list multiple versions, it's usually undesired (except for kernel and kernel related packages). In case of doubt re-install the package with zypper.


(In reply to Nick Dordea from comment #4)
> A). 
> The laptop was shutdown on Oct-31 about 22:15 .
> Was the saving time change involved ? 

I don't think this is likely.

> B)
> On Nov 01, I started the laptop about 7:30 AM and some maintenance against 
> zypper / libzypp was done ! [ as per journalctl output ... ]
>
> What process triggered that maintenance ?
> Was it a left over of the maintenance done on October 28 ?

If you did not run it on your own, them maybe some updater applett. 


Basically: If the rpm commands were executed by libyzpp (i.e. via zypper, YAST or PackageKit) you should see entries for them in 

  /var/log/zypp/history

Then check the preceding 'DATE|command|...'  entry. It should list the command that initiated the install. 

'zypper log' will show you the zypper commands executed and still mentioned in 

  /var/log/zypper.log
  
'zypper log -l /var/log/YaST2/y2log' will try to get the same info from YASTs logfile 

  /var/log/YaST2/y2log


> Did the above "maintenance" clobber parts of my laptop's software ?

Feel free to attach those 3 log files. We'll have a look at them. Maybe they reveal something.

And please answer Marcus question in commen#5 (output of `rpm -qi libyaml-cpp0_6`)
Comment 7 Nick Dordea 2020-11-02 14:08:57 UTC
(In reply to Marcus Meissner from comment #5)
> your libyaml seems incompatible
> 
> rpm -qi libyaml-cpp0_6
> 
> ?

Hello Marcus,
Here's the requested info ...

rpm -qi libyaml-cpp0_6
Name        : libyaml-cpp0_6
Version     : 0.6.3
Release     : lp152.41.1
Architecture: x86_64
Install Date: Tue Jul 28 15:54:44 2020
Group       : Development/Libraries/C and C++
Size        : 562205
License     : MIT
Signature   : DSA/SHA1, Thu Jan 16 11:47:21 2020, Key ID f4cce1f4d15ee595
Source RPM  : yaml-cpp-0.6.3-lp152.41.1.src.rpm
Build Date  : Thu Jan 16 11:47:14 2020
Build Host  : lamb13
Relocations : (not relocatable)
Vendor      : obs://build.opensuse.org/M17N
URL         : https://github.com/jbeder/yaml-cpp/
Summary     : YAML parser and emitter in C++
Description :
A YAML parser and emitter in C++ matching the YAML 1.2 spec.
Distribution: M17N / openSUSE_Leap_15.2
Comment 8 Benjamin Zeller 2020-11-02 14:20:11 UTC
> rpm -qi libyaml-cpp0_6
> Name        : libyaml-cpp0_6
> Version     : 0.6.3
> Release     : lp152.41.1
> Architecture: x86_64
> Install Date: Tue Jul 28 15:54:44 2020
> Group       : Development/Libraries/C and C++
> Size        : 562205
> License     : MIT
> Signature   : DSA/SHA1, Thu Jan 16 11:47:21 2020, Key ID f4cce1f4d15ee595
> Source RPM  : yaml-cpp-0.6.3-lp152.41.1.src.rpm
> Build Date  : Thu Jan 16 11:47:14 2020
> Build Host  : lamb13
> Relocations : (not relocatable)
> Vendor      : obs://build.opensuse.org/M17N
> URL         : https://github.com/jbeder/yaml-cpp/
> Summary     : YAML parser and emitter in C++
> Description :
> A YAML parser and emitter in C++ matching the YAML 1.2 spec.
> Distribution: M17N / openSUSE_Leap_15.2

Seems the libyaml from the "Development/Libraries/C and C++" repository is not compatible with the one in the main repo:

Name        : libyaml-cpp0_6
Version     : 0.6.1
Release     : lp152.5.2.1
Architecture: x86_64
Install Date: Mon 02 Nov 2020 07:42:31 AM CET
Group       : Development/Libraries/C and C++
Size        : 494749
License     : MIT
Signature   : RSA/SHA256, Wed 28 Oct 2020 02:21:54 PM CET, Key ID b88b2fd43dbdc284
Source RPM  : yaml-cpp-0.6.1-lp152.5.2.1.src.rpm
Build Date  : Wed 28 Oct 2020 02:21:42 PM CET
Build Host  : cloud102
Relocations : (not relocatable)
Packager    : http://bugs.opensuse.org
Vendor      : openSUSE
URL         : https://github.com/jbeder/yaml-cpp/
Summary     : YAML parser and emitter in C++
Description :
A YAML parser and emitter in C++ matching the YAML 1.2 spec.
Distribution: openSUSE Leap 15.2
Comment 9 Nick Dordea 2020-11-02 14:37:16 UTC
Created attachment 843224 [details]
/var/log/zypp.history   file
Comment 10 Nick Dordea 2020-11-02 14:39:30 UTC
Created attachment 843227 [details]
/var/log/zypper.log  file
Comment 11 Nick Dordea 2020-11-02 14:41:07 UTC
Created attachment 843228 [details]
/var/log/YasST2/y2log   file
Comment 12 Nick Dordea 2020-11-02 14:58:15 UTC
(In reply to Michael Andres from comment #6)
Hello Michael, 
Thank you for your comments on rpm -i .
My try was a quick and dirty attempt on what would happen if I am using rpm to fix my laptop.  yast2  displays the 1st panel but it can not be used for any software/repos inquires .  So the only tool that remains is rpm which I use very rarely .

I created attachments for the 3 files you mentioned, as 
bug_1178332_var-log-YasST2_y2log.txt
bug_1178332_var-log-zypp-history.txt
bug_1178332_var-log-zypper_log.txt

Please let me know if anything else is required .

Thanks,

ND
Comment 13 Nick Dordea 2020-11-02 16:26:01 UTC
(In reply to Benjamin Zeller from comment #8)
Hello Benjamin,
Should I try to install yaml-cpp-0.6.1-lp152.5.2.1 from update repo ?
I did a test for it and libzypp and no errors were found 
rpm -Uhv --test --oldpackage libzypp-17.24.2-lp152.2.10.1.x86_64.rpm zypper-1.14.38-lp152.2.6.1.x86_64.rpm libsolv-tools-0.7.14-lp152.2.7.1.x86_64.rpm libzypp-devel-17.24.2-lp152.2.10.1.x86_64.rpm libyaml-cpp0_6-0.6.1-lp152.5.2.1.x86_64.rpm
Preparing...                          ################################# [100%]

The output of the same command with -vv is provided as an attachment .

Thanks,
ND

---------------------------------

> > rpm -qi libyaml-cpp0_6
> > Name        : libyaml-cpp0_6
> > Version     : 0.6.3
> > Release     : lp152.41.1
> > Architecture: x86_64
> > Install Date: Tue Jul 28 15:54:44 2020
> > Group       : Development/Libraries/C and C++
> > Size        : 562205
> > License     : MIT
> > Signature   : DSA/SHA1, Thu Jan 16 11:47:21 2020, Key ID f4cce1f4d15ee595
> > Source RPM  : yaml-cpp-0.6.3-lp152.41.1.src.rpm
> > Build Date  : Thu Jan 16 11:47:14 2020
> > Build Host  : lamb13
> > Relocations : (not relocatable)
> > Vendor      : obs://build.opensuse.org/M17N
> > URL         : https://github.com/jbeder/yaml-cpp/
> > Summary     : YAML parser and emitter in C++
> > Description :
> > A YAML parser and emitter in C++ matching the YAML 1.2 spec.
> > Distribution: M17N / openSUSE_Leap_15.2
> 
> Seems the libyaml from the "Development/Libraries/C and C++" repository is
> not compatible with the one in the main repo:
> 
> Name        : libyaml-cpp0_6
> Version     : 0.6.1
> Release     : lp152.5.2.1
> Architecture: x86_64
> Install Date: Mon 02 Nov 2020 07:42:31 AM CET
> Group       : Development/Libraries/C and C++
> Size        : 494749
> License     : MIT
> Signature   : RSA/SHA256, Wed 28 Oct 2020 02:21:54 PM CET, Key ID
> b88b2fd43dbdc284
> Source RPM  : yaml-cpp-0.6.1-lp152.5.2.1.src.rpm
> Build Date  : Wed 28 Oct 2020 02:21:42 PM CET
> Build Host  : cloud102
> Relocations : (not relocatable)
> Packager    : http://bugs.opensuse.org
> Vendor      : openSUSE
> URL         : https://github.com/jbeder/yaml-cpp/
> Summary     : YAML parser and emitter in C++
> Description :
> A YAML parser and emitter in C++ matching the YAML 1.2 spec.
> Distribution: openSUSE Leap 15.2
Comment 14 Nick Dordea 2020-11-02 16:30:13 UTC
Created attachment 843229 [details]
rpm -U -vv --test --oldpackage libzypp  output
Comment 15 Michael Andres 2020-11-02 17:22:40 UTC
(In reply to Nick Dordea from comment #13)
> (In reply to Benjamin Zeller from comment #8)
> Hello Benjamin,
> Should I try to install yaml-cpp-0.6.1-lp152.5.2.1 from update repo ?

@Nick: Yes please.

BWT: According to the logs 2020-11-01 it was 'yast online_update qt' which updated libzypp. But IMO we can't blame YAST, because it looks like libyaml-cpp0_6 is built in a way thet the resolver can't recognize the incompatibility. 


@Tomas (as bugowner of libyaml-cpp0_6):

Even if from different repos, I would have expected the versions to have a different sonames if they are not compatible. This way it's pretty fragile as the resolver can't see the incompatibility.

I forward the bug to you. Maybe it can be enhanced (different sonames or same symbol set).
Comment 16 Nick Dordea 2020-11-02 18:38:07 UTC
(In reply to Michael Andres from comment #15)
A)
/data/ext4/EXT4_downloads ]> rpm -Uv --oldpackage libyaml-cpp0_6-0.6.1-lp152.5.2.1.x86_64.rpm
Preparing packages...
libyaml-cpp0_6-0.6.1-lp152.5.2.1.x86_64
libyaml-cpp0_6-0.6.3-lp152.41.1.x86_64

B) 
zypper se -i -s libyaml    WORKS !!!!
Loading repository data...
Reading installed packages...

S | Name              | Type    | Version           | Arch   | Repository
--+-------------------+---------+-------------------+--------+----------------------
i | ghc-libyaml       | package | 0.1.2-lp152.1.4   | x86_64 | Main_Distribution_oss
i | libyaml-0-2       | package | 0.1.7-lp152.3.5   | x86_64 | Main_Distribution_oss
i | libyaml-cpp0_6    | package | 0.6.1-lp152.5.2.1 | x86_64 | Main_Update_oss
i | perl-YAML-LibYAML | package | 0.69-lp152.4.3.1  | x86_64 | Main_Update_oss

C) yast works !
M17N repo was disabled .

My thanks to the entire team for helping me in getting this issue solved !

Nick Dordea


============================
> (In reply to Nick Dordea from comment #13)
> > (In reply to Benjamin Zeller from comment #8)
> > Hello Benjamin,
> > Should I try to install yaml-cpp-0.6.1-lp152.5.2.1 from update repo ?
> 
> @Nick: Yes please.
> 
> BWT: According to the logs 2020-11-01 it was 'yast online_update qt' which
> updated libzypp. But IMO we can't blame YAST, because it looks like
> libyaml-cpp0_6 is built in a way thet the resolver can't recognize the
> incompatibility. 
> 
> 
> @Tomas (as bugowner of libyaml-cpp0_6):
> 
> Even if from different repos, I would have expected the versions to have a
> different sonames if they are not compatible. This way it's pretty fragile
> as the resolver can't see the incompatibility.
> 
> I forward the bug to you. Maybe it can be enhanced (different sonames or
> same symbol set).
Comment 17 Olaf Hering 2020-11-03 13:00:11 UTC
https://build.opensuse.org/request/show/845714
Comment 18 Stefan Schäfer 2020-11-21 09:17:54 UTC
Hi,

same problem within leap 15.1
Comment 19 Markéta Machová 2021-05-05 08:01:49 UTC
Hi, I just got this bug. If I just changed the soname in the devel project to 0_6_3, would it break other packages (more specifically, will pkgconfig automatically require libyaml-cpp0_6_3 from that moment where appropriate)? I am still unsure about pkgconfig behaviour...
Comment 20 Markéta Machová 2021-05-13 10:56:06 UTC
Hi, I looked and I can not find how the soname should look like. Any help, please?
Comment 21 Markéta Machová 2021-06-29 10:54:24 UTC
Hello, anyone knows how to fix this issue permanently?
Comment 22 Markéta Machová 2021-08-10 13:07:53 UTC
As I will be leaving shortly (I don't know what to do with this bug and I am not a bugowner anyway) assigning back to zypper maintainers.
Comment 23 Michael Andres 2021-08-12 10:34:43 UTC
(In reply to Markéta Machová from comment #20)
> Hi, I looked and I can not find how the soname should look like. Any help,
> please?

https://stackoverflow.com/questions/12637841/what-is-the-soname-option-for-building-shared-libraries-for tries to explain it.
Comment 24 Michael Andres 2021-08-12 10:35:20 UTC
he libyaml issue is addressed here
  https://github.com/jbeder/yaml-cpp/issues/789
  https://github.com/jbeder/yaml-cpp/issues/640

The new libyaml-cpp newly introduced the symbol and was used to build libzypp.

Unfortunately libyamls soversion was not updated, so the resolver can't see, 
that the installed old libyaml will no longer satisfy the needs (symbols).



@Stanislav (as bugowner of libyaml-cpp0_6):

I hope the libyaml-cpp upstream is now aware of this. For the current issue I'd need to know the libyaml-cpp version that introduced the symbol. I would add to libzypp an explicit requirement to a version '>='. This will enforce the update together with libzypp.
Comment 25 Michael Andres 2021-10-04 12:39:15 UTC
Well, there are no more complaints for almost a year. Maybe libyaml-cpp is fixed meanwhile. For now I leave libzypp unchanged and close the issue.
Comment 26 Stanislav Brabec 2022-07-05 20:17:58 UTC
Please follow bug 1200624 to get more info.
Comment 30 Swamp Workflow Management 2022-08-03 13:17:12 UTC
SUSE-RU-2022:2640-1: An update that has four recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1160171,1178331,1178332,1200624
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    yaml-cpp-0.6.3-150400.4.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    yaml-cpp-0.6.3-150400.4.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    yaml-cpp-0.6.3-150400.4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.